4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.UserImp

User repository resource class
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: UserImp |  |  |  | Functions: NewUserXml |  |  |  | Fields: FTSERVER_NAMESPACE, UPDATE_PASSWORD, UPDATE_USERNAME, UPDATE_USER_DATA

## Classes

class UserImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp, Ft.Server.Server.SCore.GroupableObjectMixin.GroupableObjectMixin)
A specialized XML document which represents a system user

### Methods

__delitem__(self, name)
Implements python dictionary interface
__getitem__(self, name)
Implements python dictionary interface
__setitem__(self, name, value)
Implements python dictionary interface
get(self, name, defaultValue=None)
Implements python dictionary 'get' interface for the user data associated with this user
getPassword(self)
Get the SHA1 hash of this users password
getUserData(self)
Returns a dictionary containing key value pairs of user data
getUsername(self)
Get the username of this user.
has_key(self, key)
Implements python dictionary 'has_key' interface
items(self)
Implements python dictionary 'items' interface
keys(self)
Implements python dictionary 'keys' interface
setPassword(self, newPasswd)
setUserData(self, userData)
Sets the user data using the specified dictionary
setUsername(self, name)
values(self)
Implements python dictionary 'values' interface

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setContent, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Methods inherited from class Ft.Server.Server.SCore.GroupableObjectMixin.GroupableObjectMixin

getGroups

### Fields

resourceType = 7

## Functions

NewUserXml(driver, userName, path, passwdHash, acl, owner, docDef)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
UPDATE_PASSWORD = '<xupdate:modifications\n version="1.0"\n xmlns:x...sh">%s</xupdate:update>\n</xupdate:modifications>\n'
UPDATE_USERNAME = '<xupdate:modifications\n version="1.0"\n xmlns:x...me">%s</xupdate:update>\n</xupdate:modifications>\n'
UPDATE_USER_DATA = '<xupdate:modifications\n version="1.0"\n xmlns:x...()\'>%s</xupdate:append>\n</xupdate:modifications>\n'